curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines/{streamingPipelineId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines/{streamingPipelineId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines/{streamingPipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"advancedProperties": {
"max.batch.size": 10000
},
"agentId": "12345678-1234-1234-1234-123456789012",
"name": "A Streaming Pipeline",
"projectId": "12345678-1234-1234-1234-123456789012",
"streamingPipelineId": "12345678-1234-1234-1234-123456789012",
"streamingSource": {
"connection": {
"host": "127.0.0.1",
"password": {
"secretName": "the-secret-name",
"secretKey": "the-secret-key",
"secretLocation": "the-secret-location"
},
"port": 8471,
"username": "db2_streaming_user",
"jdbcProperties": {
"date format": "ymd"
}
},
"tables": [
{
"schema": "SCHEMA_A",
"table": "TABLE_A"
}
]
},
"streamingTarget": {
"accountKey": {
"secretName": "the-secret-name",
"secretKey": "the-secret-key",
"secretLocation": "the-secret-location"
},
"accountName": "abs-account-name",
"container": "streaming-container",
"prefix": "streaming-prefix"
}
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Get a streaming pipeline definition
Gets a streaming pipeline definition in the account and project
Authorizations
a valid bearer token
Path Parameters
The ID of the project in which to read the streaming pipeline definition
The ID of the streaming pipeline definition to read
Response
Successfully retrieved the streaming pipeline definition
Any additional properties for the streaming pipeline
Show child attributes
Show child attributes
{ "max.batch.size": 10000 }
The ID of the agent that will run the streaming pipeline
"12345678-1234-1234-1234-123456789012"
The name of the streaming pipeline
"A Streaming Pipeline"
The ID of the project that contains the streaming pipeline definition
"12345678-1234-1234-1234-123456789012"
The ID of the streaming pipeline definition
"12345678-1234-1234-1234-123456789012"
The details of the streaming source
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
The details of the streaming target
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Was this page helpful?
